Home

Get account information.

GET
https://algo.nownodes.io/v2/accounts/{address}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Given a specific account public key, this call returns the accounts status, balance and spendable amounts

Parameters

formatstringjsonmsgpackquery

Configures whether the response object is JSON or MessagePack encoded. If not provided, defaults to JSON.

addressstringrequiredpath

An account public key

excludestringallnonequery

When set to all will exclude asset holdings, application local state, created asset parameters, any created application parameters. Defaults to none.

Response

200OK

AccountResponse wraps the Account type in a response.

400Bad Request

Bad request

401Unauthorized

Invalid API Token

500Internal Server Error

Internal Error

default

Unknown Error